## golang-github-mattn-go-gtk 0.1%2Bgit20190405.4deadb4

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_dwz:
	echo "Skipping dh_dwz: Too few files for multifile optimization"

## golang-github-mattn-go-gtk 0.1+git20190405.4deadb4

=== Makefile ===
include _example/example.mk

.DEFAULT_GOAL := all
.PHONY: all
all:
	cd pango && go get -x
	cd glib && go get -x
	cd gdk && go get -x
	cd gdkpixbuf && go get -x
	cd gtk && go get -x
	cd gtksourceview && go get -x
	#cd gtkgl && go get -x .
	#cd gtkspell && go get -x .

.PHONY: all
fmt:
	cd pango && go fmt .
	cd glib && go fmt .
	cd gdk && go fmt .
	cd gdkpixbuf && go fmt .
	cd gtk && go fmt .
	cd gtksourceview && go fmt .
	#cd gtkgl && go fmt .
	#cd gtkspell && go fmt .

.PHONY: clean
clean: clean-example
	@true

=== debian/changelog ===
golang-github-mattn-go-gtk (0.1+git20190405.4deadb4-1) unstable; urgency=medium

  * Initial release (Closes: #933794)
  * debian patch skip_DISPLAY_tests.patch skips gtk tests if a display
    is not available.

 -- Drew Parsons <dparsons@debian.org>  Wed, 07 Aug 2019 23:00:51 +0800

=== debian/control ===
Source: golang-github-mattn-go-gtk
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-mattn-go-pointer-dev,
               golang-github-stretchr-testify-dev,
               libatk-adaptor,
               libgail-dev,
               libglu1-mesa-dev | libglu-dev,
               libgtkgl2.0-dev,
               libgtksourceview2.0-dev,
               libgtkspell-dev
Standards-Version: 4.4.0
Homepage: https://github.com/mattn/go-gtk
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-mattn-go-gtk
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-mattn-go-gtk.git
XS-Go-Import-Path: github.com/mattn/go-gtk
Testsuite: autopkgtest-pkg-go

Package: golang-github-mattn-go-gtk-dev
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         golang-github-mattn-go-pointer-dev,
         golang-github-stretchr-testify-dev
Description: Go bindings for GTK
 Provides Go language bindings for GTK.

=== debian/watch ===
version=4
opts="mode=git,pretty=0.1+git%cd.%h" https://github.com/mattn/go-gtk.git HEAD
